"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SWFClient_1 = require("./SWFClient");
const CountClosedWorkflowExecutionsCommand_1 = require("./commands/CountClosedWorkflowExecutionsCommand");
const CountOpenWorkflowExecutionsCommand_1 = require("./commands/CountOpenWorkflowExecutionsCommand");
const CountPendingActivityTasksCommand_1 = require("./commands/CountPendingActivityTasksCommand");
const CountPendingDecisionTasksCommand_1 = require("./commands/CountPendingDecisionTasksCommand");
const DeprecateActivityTypeCommand_1 = require("./commands/DeprecateActivityTypeCommand");
const DeprecateDomainCommand_1 = require("./commands/DeprecateDomainCommand");
const DeprecateWorkflowTypeCommand_1 = require("./commands/DeprecateWorkflowTypeCommand");
const DescribeActivityTypeCommand_1 = require("./commands/DescribeActivityTypeCommand");
const DescribeDomainCommand_1 = require("./commands/DescribeDomainCommand");
const DescribeWorkflowExecutionCommand_1 = require("./commands/DescribeWorkflowExecutionCommand");
const DescribeWorkflowTypeCommand_1 = require("./commands/DescribeWorkflowTypeCommand");
const GetWorkflowExecutionHistoryCommand_1 = require("./commands/GetWorkflowExecutionHistoryCommand");
const ListActivityTypesCommand_1 = require("./commands/ListActivityTypesCommand");
const ListClosedWorkflowExecutionsCommand_1 = require("./commands/ListClosedWorkflowExecutionsCommand");
const ListDomainsCommand_1 = require("./commands/ListDomainsCommand");
const ListOpenWorkflowExecutionsCommand_1 = require("./commands/ListOpenWorkflowExecutionsCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const ListWorkflowTypesCommand_1 = require("./commands/ListWorkflowTypesCommand");
const PollForActivityTaskCommand_1 = require("./commands/PollForActivityTaskCommand");
const PollForDecisionTaskCommand_1 = require("./commands/PollForDecisionTaskCommand");
const RecordActivityTaskHeartbeatCommand_1 = require("./commands/RecordActivityTaskHeartbeatCommand");
const RegisterActivityTypeCommand_1 = require("./commands/RegisterActivityTypeCommand");
const RegisterDomainCommand_1 = require("./commands/RegisterDomainCommand");
const RegisterWorkflowTypeCommand_1 = require("./commands/RegisterWorkflowTypeCommand");
const RequestCancelWorkflowExecutionCommand_1 = require("./commands/RequestCancelWorkflowExecutionCommand");
const RespondActivityTaskCanceledCommand_1 = require("./commands/RespondActivityTaskCanceledCommand");
const RespondActivityTaskCompletedCommand_1 = require("./commands/RespondActivityTaskCompletedCommand");
const RespondActivityTaskFailedCommand_1 = require("./commands/RespondActivityTaskFailedCommand");
const RespondDecisionTaskCompletedCommand_1 = require("./commands/RespondDecisionTaskCompletedCommand");
const SignalWorkflowExecutionCommand_1 = require("./commands/SignalWorkflowExecutionCommand");
const StartWorkflowExecutionCommand_1 = require("./commands/StartWorkflowExecutionCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const TerminateWorkflowExecutionCommand_1 = require("./commands/TerminateWorkflowExecutionCommand");
const UndeprecateActivityTypeCommand_1 = require("./commands/UndeprecateActivityTypeCommand");
const UndeprecateDomainCommand_1 = require("./commands/UndeprecateDomainCommand");
const UndeprecateWorkflowTypeCommand_1 = require("./commands/UndeprecateWorkflowTypeCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
class SWF extends SWFClient_1.SWFClient {
    countClosedWorkflowExecutions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CountClosedWorkflowExecutionsCommand_1.CountClosedWorkflowExecutionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    countOpenWorkflowExecutions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CountOpenWorkflowExecutionsCommand_1.CountOpenWorkflowExecutionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    countPendingActivityTasks(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CountPendingActivityTasksCommand_1.CountPendingActivityTasksCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    countPendingDecisionTasks(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CountPendingDecisionTasksCommand_1.CountPendingDecisionTasksCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deprecateActivityType(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeprecateActivityTypeCommand_1.DeprecateActivityTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deprecateDomain(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeprecateDomainCommand_1.DeprecateDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deprecateWorkflowType(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeprecateWorkflowTypeCommand_1.DeprecateWorkflowTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeActivityType(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeActivityTypeCommand_1.DescribeActivityTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDomain(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDomainCommand_1.DescribeDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeWorkflowExecution(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeWorkflowExecutionCommand_1.DescribeWorkflowExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeWorkflowType(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeWorkflowTypeCommand_1.DescribeWorkflowTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getWorkflowExecutionHistory(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetWorkflowExecutionHistoryCommand_1.GetWorkflowExecutionHistoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listActivityTypes(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListActivityTypesCommand_1.ListActivityTypesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listClosedWorkflowExecutions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListClosedWorkflowExecutionsCommand_1.ListClosedWorkflowExecutionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listDomains(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListDomainsCommand_1.ListDomainsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listOpenWorkflowExecutions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListOpenWorkflowExecutionsCommand_1.ListOpenWorkflowExecutionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listTagsForResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listWorkflowTypes(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListWorkflowTypesCommand_1.ListWorkflowTypesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    pollForActivityTask(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PollForActivityTaskCommand_1.PollForActivityTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    pollForDecisionTask(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PollForDecisionTaskCommand_1.PollForDecisionTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    recordActivityTaskHeartbeat(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RecordActivityTaskHeartbeatCommand_1.RecordActivityTaskHeartbeatCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    registerActivityType(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RegisterActivityTypeCommand_1.RegisterActivityTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    registerDomain(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RegisterDomainCommand_1.RegisterDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    registerWorkflowType(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RegisterWorkflowTypeCommand_1.RegisterWorkflowTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    requestCancelWorkflowExecution(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RequestCancelWorkflowExecutionCommand_1.RequestCancelWorkflowExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    respondActivityTaskCanceled(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RespondActivityTaskCanceledCommand_1.RespondActivityTaskCanceledCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    respondActivityTaskCompleted(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RespondActivityTaskCompletedCommand_1.RespondActivityTaskCompletedCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    respondActivityTaskFailed(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RespondActivityTaskFailedCommand_1.RespondActivityTaskFailedCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    respondDecisionTaskCompleted(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RespondDecisionTaskCompletedCommand_1.RespondDecisionTaskCompletedCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    signalWorkflowExecution(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new SignalWorkflowExecutionCommand_1.SignalWorkflowExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    startWorkflowExecution(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StartWorkflowExecutionCommand_1.StartWorkflowExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    tagResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    terminateWorkflowExecution(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new TerminateWorkflowExecutionCommand_1.TerminateWorkflowExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    undeprecateActivityType(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UndeprecateActivityTypeCommand_1.UndeprecateActivityTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    undeprecateDomain(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UndeprecateDomainCommand_1.UndeprecateDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    undeprecateWorkflowType(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UndeprecateWorkflowTypeCommand_1.UndeprecateWorkflowTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    untagResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.SWF = SWF;
//# sourceMappingURL=SWF.js.map