"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CountClosedWorkflowExecutions_1 = require("../model/operations/CountClosedWorkflowExecutions");
class CountClosedWorkflowExecutionsCommand {
    constructor(input) {
        this.input = input;
        this.model = CountClosedWorkflowExecutions_1.CountClosedWorkflowExecutions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CountClosedWorkflowExecutionsCommand = CountClosedWorkflowExecutionsCommand;
//# sourceMappingURL=CountClosedWorkflowExecutionsCommand.js.map