"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CountOpenWorkflowExecutions_1 = require("../model/operations/CountOpenWorkflowExecutions");
class CountOpenWorkflowExecutionsCommand {
    constructor(input) {
        this.input = input;
        this.model = CountOpenWorkflowExecutions_1.CountOpenWorkflowExecutions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CountOpenWorkflowExecutionsCommand = CountOpenWorkflowExecutionsCommand;
//# sourceMappingURL=CountOpenWorkflowExecutionsCommand.js.map