"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeActivityType_1 = require("../model/operations/DescribeActivityType");
class DescribeActivityTypeCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeActivityType_1.DescribeActivityType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeActivityTypeCommand = DescribeActivityTypeCommand;
//# sourceMappingURL=DescribeActivityTypeCommand.js.map