"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeWorkflowType_1 = require("../model/operations/DescribeWorkflowType");
class DescribeWorkflowTypeCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeWorkflowType_1.DescribeWorkflowType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeWorkflowTypeCommand = DescribeWorkflowTypeCommand;
//# sourceMappingURL=DescribeWorkflowTypeCommand.js.map