"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetWorkflowExecutionHistory_1 = require("../model/operations/GetWorkflowExecutionHistory");
class GetWorkflowExecutionHistoryCommand {
    constructor(input) {
        this.input = input;
        this.model = GetWorkflowExecutionHistory_1.GetWorkflowExecutionHistory;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetWorkflowExecutionHistoryCommand = GetWorkflowExecutionHistoryCommand;
//# sourceMappingURL=GetWorkflowExecutionHistoryCommand.js.map