"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListActivityTypes_1 = require("../model/operations/ListActivityTypes");
class ListActivityTypesCommand {
    constructor(input) {
        this.input = input;
        this.model = ListActivityTypes_1.ListActivityTypes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListActivityTypesCommand = ListActivityTypesCommand;
//# sourceMappingURL=ListActivityTypesCommand.js.map