"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListClosedWorkflowExecutions_1 = require("../model/operations/ListClosedWorkflowExecutions");
class ListClosedWorkflowExecutionsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListClosedWorkflowExecutions_1.ListClosedWorkflowExecutions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListClosedWorkflowExecutionsCommand = ListClosedWorkflowExecutionsCommand;
//# sourceMappingURL=ListClosedWorkflowExecutionsCommand.js.map