"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RecordActivityTaskHeartbeat_1 = require("../model/operations/RecordActivityTaskHeartbeat");
class RecordActivityTaskHeartbeatCommand {
    constructor(input) {
        this.input = input;
        this.model = RecordActivityTaskHeartbeat_1.RecordActivityTaskHeartbeat;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RecordActivityTaskHeartbeatCommand = RecordActivityTaskHeartbeatCommand;
//# sourceMappingURL=RecordActivityTaskHeartbeatCommand.js.map