"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RegisterDomain_1 = require("../model/operations/RegisterDomain");
class RegisterDomainCommand {
    constructor(input) {
        this.input = input;
        this.model = RegisterDomain_1.RegisterDomain;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RegisterDomainCommand = RegisterDomainCommand;
//# sourceMappingURL=RegisterDomainCommand.js.map