"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const StartWorkflowExecution_1 = require("../model/operations/StartWorkflowExecution");
class StartWorkflowExecutionCommand {
    constructor(input) {
        this.input = input;
        this.model = StartWorkflowExecution_1.StartWorkflowExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.StartWorkflowExecutionCommand = StartWorkflowExecutionCommand;
//# sourceMappingURL=StartWorkflowExecutionCommand.js.map