"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UndeprecateDomain_1 = require("../model/operations/UndeprecateDomain");
class UndeprecateDomainCommand {
    constructor(input) {
        this.input = input;
        this.model = UndeprecateDomain_1.UndeprecateDomain;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UndeprecateDomainCommand = UndeprecateDomainCommand;
//# sourceMappingURL=UndeprecateDomainCommand.js.map