"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UndeprecateActivityTypeInput_1 = require("../shapes/UndeprecateActivityTypeInput");
const UndeprecateActivityTypeOutput_1 = require("../shapes/UndeprecateActivityTypeOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const TypeAlreadyExistsFault_1 = require("../shapes/TypeAlreadyExistsFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UndeprecateActivityType = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UndeprecateActivityType",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UndeprecateActivityTypeInput_1.UndeprecateActivityTypeInput
    },
    output: {
        shape: UndeprecateActivityTypeOutput_1.UndeprecateActivityTypeOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: TypeAlreadyExistsFault_1.TypeAlreadyExistsFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=UndeprecateActivityType.js.map