"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UndeprecateWorkflowTypeInput_1 = require("../shapes/UndeprecateWorkflowTypeInput");
const UndeprecateWorkflowTypeOutput_1 = require("../shapes/UndeprecateWorkflowTypeOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const TypeAlreadyExistsFault_1 = require("../shapes/TypeAlreadyExistsFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UndeprecateWorkflowType = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UndeprecateWorkflowType",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UndeprecateWorkflowTypeInput_1.UndeprecateWorkflowTypeInput
    },
    output: {
        shape: UndeprecateWorkflowTypeOutput_1.UndeprecateWorkflowTypeOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: TypeAlreadyExistsFault_1.TypeAlreadyExistsFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=UndeprecateWorkflowType.js.map